PostgreSQL 9.6beta2 Documentation
Prev | Up |  | Next

# DROP ACCESS METHOD

## Name

DROP ACCESS METHOD -- remove an access method

## Synopsis

    DROP ACCESS METHOD [ IF EXISTS ] name [ CASCADE | RESTRICT ]

## Description

`DROP ACCESS METHOD` removes an existing access method. Only superusers can drop access methods.

## Parameters

`IF EXISTS`

  Do not throw an error if the access method does not exist. A notice is issued in this case.

`name`

  The name of an existing access method.

`CASCADE`

  Automatically drop objects that depend on the access method (such as operator classes, operator families, indexes).

`RESTRICT`

  Refuse to drop the access method if any objects depend on it. This is the default.

## Examples

Drop the access method `heptree`:

    DROP ACCESS METHOD heptree;

## Compatibility

`DROP ACCESS METHOD` is a PostgreSQL extension.

## See Also

CREATE ACCESS METHOD

Prev | Home | Next
DO | Up | DROP AGGREGATE